• Advisory ID: DRUPAL-SA-CONTRIB-2011-042
  • Project: Views Bulk Operations (VBO) (third-party module)
  • Version: 6.x
  • Date: 2011-September-21
  • Security risk: Moderately critical
  • Exploitable from: Remote
  • Vulnerability: Cross Site Scripting


The Views Bulk Operations (VBO) module allows actions and rules to be run on the selected views rows (nodes, terms, user, etc). It also bundles several convenient actions. One of those actions allows the bulk modification of taxonomy terms on a node.

When using the "Modify node taxonomy terms" action to modify taxonomy, and the vocabulary has user tagging enabled, the vocabulary help (if any) is shown without being filtered first, leading to a cross site scripting vulnerability.

This vulnerability is mitigated by the fact that it normally requires the 'administer taxonomy' permission in order to exploit it.

Versions affected

Versions prior to 6.x-1.11

Drupal core is not affected. If you do not use the contributed Views Bulk Operations (VBO) module, there is nothing you need to do.


Install the latest version:

  • If you use the Views Bulk Operations module for Drupal 6.x, upgrade to 6.x-1.11

See also the Views Bulk Operations (VBO) project page.

Reported by

Fixed by

Contact and More Information

The Drupal security team can be reached at security at drupal.org or via the contact form at http://drupal.org/contact.

Learn more about the Drupal Security team and their policies, writing secure code for Drupal, and securing your site.